<script setup lang="ts">
import { useSalaryStore } from '../stores/salary'

const salaryStore = useSalaryStore()
</script>
<template>
  <v-table>
    <thead>
      <tr>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Period</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Paid Date</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Employee ID</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Name</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">Net Salary</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000">State</th>
        <th class="text-left" style="background-color: #ffc26f; color: #000"></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in salaryStore.slipRecords" :key="item.id">
        <td>{{ item.period }}</td>
        <td>{{ item.date }}</td>
        <td>{{ item.employeeID }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.netSalary }}</td>
        <td>{{ item.state }}</td>
        <td>
          <v-icon
            end
            class="mr-1"
            icon="mdi-trash-can"
            @click="salaryStore.deleteItem(item)"
          ></v-icon>
        </td>
      </tr>
    </tbody>
  </v-table>
</template>
